From 89f71ebb355c624320c2b0ace8ae9488ff53cbeb Mon Sep 17 00:00:00 2001
From: Birger Koblitz <mail@birger-koblitz.de>
Date: Tue, 5 Jan 2021 20:40:52 +0100
Subject: PHY: Add realtek PHY

This fixes the build problems for the REALTEK target by adding a proper
configuration option for the phy module.

Submitted-by: Birger Koblitz <mail@birger-koblitz.de>
---
 drivers/net/phy/Kconfig                       | 6 ++++++
 drivers/net/phy/Makefile                      | 1 +
 2 files changed, 7 insertions(+)

--- a/drivers/net/phy/Kconfig
+++ b/drivers/net/phy/Kconfig
@@ -354,6 +354,12 @@ config REALTEK_PHY
 	help
 	  Supports the Realtek 821x PHY.
 
+config REALTEK_SOC_PHY
+	tristate "Realtek SoC PHYs"
+	depends on RTL83XX
+	help
+	  Supports the PHYs found in combination with Realtek Switch SoCs
+
 config RENESAS_PHY
 	tristate "Renesas PHYs"
 	help
--- a/drivers/net/phy/Makefile
+++ b/drivers/net/phy/Makefile
@@ -89,6 +89,7 @@ obj-$(CONFIG_NXP_C45_TJA11XX_PHY)	+= nxp
 obj-$(CONFIG_NXP_TJA11XX_PHY)	+= nxp-tja11xx.o
 obj-$(CONFIG_QSEMI_PHY)		+= qsemi.o
 obj-$(CONFIG_REALTEK_PHY)	+= realtek.o
+obj-$(CONFIG_REALTEK_SOC_PHY)   += rtl83xx-phy.o
 obj-$(CONFIG_RENESAS_PHY)	+= uPD60620.o
 obj-$(CONFIG_ROCKCHIP_PHY)	+= rockchip.o
 obj-$(CONFIG_SMSC_PHY)		+= smsc.o
